<?php
  
ACCESS('users');
  
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='/id".$account['ID']."'>".TEXT_ABSOLUTE($account['LOGIN'])."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "".LG('Подарить подарок')."";
ECHO "</div>";

/*
----------------
Подарить подарок
----------------
*/

IF (GET('id_gift') && DB::GET_COLUMN("SELECT COUNT(*) FROM `GIFTS` WHERE `ID` = '".INTVAL(GET('id_gift'))."' LIMIT 1") == 1){
  
  $gift = DB::GET_STRING("SELECT * FROM `GIFTS` WHERE `ID` = '".INTVAL(GET('id_gift'))."' LIMIT 1");
  
  IF (POST('ok')){
    
    $err_data = 0;
    
    $private = INTVAL(POST('private'));
    $message = ADSL(POST('message'));
    
    IF (STR($message) > 300){
      
      ERROR('Сообщение не может быть больше 300 символов', 'session');
      $err_data = 1;
    
    }
    
    IF ($gift['SUM'] > $user['MONEY']){
      
      ERROR('Недостаточно средств на счету', 'session');
      $err_data = 1;
    
    }
    
    IF ($err_data == 1){
      
      REDIRECT('/users/profile/?path=gifts&section=give&id='.$account['ID'].'&id_gift='.$gift['ID'].'');
    
    }
    
    $ID = DB::GET_ADD("INSERT INTO `GIFTS_USER` (`PRIVATE`, `USER_ID`, `MY_ID`, `MESSAGE`, `TIME`, `GIFT_ID`) VALUES ('".$private."', '".$user['ID']."', '".$account['ID']."', '".$message."', '".TIME()."', '".$gift['ID']."')");
    
    DB::GET_ADD("INSERT INTO `NOTIFICATIONS` (`USER_ID`, `OBJECT_ID`, `OBJECT_ID_LIST`, `TIME`, `TYPE`) VALUES ('".$account['ID']."', '".$user['ID']."', '".$gift['ID']."', '".TIME()."', 'gift')");   
    
    DB::GET_SET("UPDATE `USERS` SET `MONEY` = '".($user['MONEY'] - $gift['SUM'])."' WHERE `ID` = '".$user['ID']."' LIMIT 1");
    
    SUCCESS('Подарок успешно отправлен', 'session');
    REDIRECT('/id'.$account['ID'].'');
    
  }
  
  ECHO "<div class='list'>";
  
  ECHO "<img class='img' src='/files/upload/gifts/".$gift['ID'].".".$gift['EXT']."'><br /><br />";
  
  ECHO "<b>".LG('Название').":</b> ".TEXT_ABSOLUTE($gift['NAME'])."<br />";
  ECHO "<b>".LG('Цена').":</b> ".MONEY($gift['SUM'], CONFIG('MONEY'), 1)."<br />";
  ECHO "<b>".LG('Получатель').":</b> ";
  ECHO "".USER::LOGIN($account['ID'], 1, 1)."<br /><br />";
  
  ECHO "<form method='post' class='form' action='/users/profile/?path=gifts&section=give&id=".$account['ID']."&id_gift=".$gift['ID']."'>";
  
  ECHO "<b>".LG('Введите сообщение для получателя')."</b> (".LG('до 300 символов')."):<br />";
  HTML::TEXTAREA(NULL, 'message', 'Введите сообщение', NULL, 'form-control-100');
  
  ECHO "<br />";
  
  ECHO "<b>".LG('Кто увидит ваш логин и сообщение')."</b>:<br />";
  ECHO "<select name='private' class='form-control-select'>";

  ECHO "<option value='0'> ".LG('Все')."</option>";
  ECHO "<option value='1'> ".LG('Только я и получатель')."</option>";

  ECHO "</select>";
  
  ECHO "<br /><br />";
  
  HTML::BUTTON('btn-big ajax-button', 'ok', 'gift', 'Отправить подарок');
  
  ECHO "</form>";
  
  ECHO "</div>";
  
  ECHO "<div class='list'>";
  ECHO "<a href='/users/profile/?path=gifts&section=give&id=".$account['ID']."&id_dir=".$gift['ID_DIR']."'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('Назад')."</a>";
  ECHO "</div>";
  
  ECHO "<div class='navigation'>";
  ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
  ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
  ECHO "<a href='/id".$account['ID']."'>".TEXT_ABSOLUTE($account['LOGIN'])."</a>";
  ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
  ECHO "".LG('Подарить подарок')."";
  ECHO "</div>";
  
  REQUIRE (ROOT.'/system/connections/footer.php');
  EXIT;
  
}

/*
------------------
Категория подарков
------------------
*/

IF (GET('id_dir') && DB::GET_COLUMN("SELECT COUNT(*) FROM `GIFTS_DIR` WHERE `ID` = '".INTVAL(GET('id_dir'))."' LIMIT 1") == 1){
  
  $dir = DB::GET_STRING("SELECT * FROM `GIFTS_DIR` WHERE `ID` = '".INTVAL(GET('id_dir'))."' LIMIT 1");
  
  $column = DB::GET_COLUMN("SELECT COUNT(*) FROM `GIFTS` WHERE `ID_DIR` = '".$dir['ID']."'");
  $spage = SPAGE($column, $page_settings);
  $page = PAGE($spage);
  $limit = $page_settings * $page - $page_settings;

  IF ($column == 0){
  
    HTML::EMPTY();
  
  }ELSE{
  
    ECHO "<div class='list-body'>";
    
    ECHO "<div class='list-menu'>";
    ECHO '<center><b>'.LG('Категория').' "'.TEXT_ABSOLUTE($dir['NAME']).'"</b></center>';  
    ECHO "</div>";
  
    ECHO "<div class='list-menu'>";
    ECHO "<b>".LG('Выберите подарок').":</b>";  
    ECHO "</div>";
  
  }
  
  $data = DB::GET_STRING_ALL("SELECT * FROM `GIFTS` WHERE `ID_DIR` = '".$dir['ID']."' ORDER BY `ID` DESC LIMIT ".$limit.", ".$page_settings."");
  
  WHILE ($list = $data->FETCH()){
    
    ECHO "<div class='list-menu'>";
    
    ECHO "<img class='img' src='/files/upload/gifts/".$list['ID'].".".$list['EXT']."' style='max-width: 80px;'><br /><br />";
    
    ECHO "<b>".LG('Название').":</b> ".TEXT_ABSOLUTE($list['NAME'])."<br />";
    ECHO "<b>".LG('Цена').":</b> ".MONEY($list['SUM'], CONFIG('MONEY'), 1)."<br /><br />";
    
    ECHO "<a href='/users/profile/?path=gifts&section=give&id=".$account['ID']."&id_gift=".$list['ID']."' class='btn'>".ICONS('gift', 15, 'fa-fw')." ".LG('Подарить')."</a>";
    
    ECHO "</div>";
    
  }
  
  IF ($column > 0){
  
    ECHO "</div>";
  
  }
  
  IF ($spage > 1){ ECHO STR_PAGE('/users/profile/?path=gifts&section=give&id='.$account['ID'].'&id_dir='.$dir['ID'].'&', $spage, $page); }
  
  ECHO "<div class='list'>";
  ECHO "<a href='/users/profile/?path=gifts&section=give&id=".$account['ID']."'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('Назад')."</a>";
  ECHO "</div>";
  
  ECHO "<div class='navigation'>";
  ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
  ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
  ECHO "<a href='/id".$account['ID']."'>".TEXT_ABSOLUTE($account['LOGIN'])."</a>";
  ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
  ECHO "".LG('Подарить подарок')."";
  ECHO "</div>";
  
  REQUIRE (ROOT.'/system/connections/footer.php');
  EXIT;
  
}

/*
-------------------------
Список категории подарков
-------------------------
*/

$column = DB::GET_COLUMN("SELECT COUNT(*) FROM `GIFTS_DIR`");
$spage = SPAGE($column, $page_settings);
$page = PAGE($spage);
$limit = $page_settings * $page - $page_settings;

IF ($column == 0){
  
  HTML::EMPTY();
  
}ELSE{
  
  ECHO "<div class='list-body'>";
  
  ECHO "<div class='list-menu'>";  
  ECHO "<b>".LG('Выберите категорию').":</b>";  
  ECHO "</div>";
  
}

$data = DB::GET_STRING_ALL("SELECT * FROM `GIFTS_DIR` ORDER BY `ID` DESC LIMIT ".$limit.", ".$page_settings."");

WHILE ($list = $data->FETCH()){
  
  $count = DB::GET_COLUMN("SELECT COUNT(*) FROM `GIFTS` WHERE `ID_DIR` = '".$list['ID']."'");
  
  ECHO "<a href='/users/profile/?path=gifts&section=give&id=".$account['ID']."&id_dir=".$list['ID']."'>";
  
  ECHO "<div class='list-menu hover'>";
  
  ECHO "<span class='icons'>".ICONS('gift', 20, 'fa-fw')."</span> ".TEXT_ABSOLUTE($list['NAME'])." <span class='count'>".$count."</span>";
  
  ECHO "</div>";
  
  ECHO "</a>";
  
}

IF ($column > 0){
  
  ECHO "</div>";
  
}

IF ($spage > 1){ ECHO STR_PAGE('/users/profile/?path=gifts&section=give&id='.$account['ID'].'&', $spage, $page); }

ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='/id".$account['ID']."'>".TEXT_ABSOLUTE($account['LOGIN'])."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "".LG('Подарить подарок')."";
ECHO "</div>";
  
?>